# $Revision: 1.19 $, $Date: 2004/12/24 21:50:22 $
%define	module	jonpy
Summary:	Jon's Python modules (jonpy)
Summary(pl):	Moduy Pythona Jona (jonpy)
Name:		python-jon
Version:	0.06
Release:	2
License:	Custom
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	70974faf02353be0d3dc97c53a7e4ee4
URL:		http://jonpy.sourceforge.net/
Obsoletes:	jonpy
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These Python modules provide simple yet powerful multi-threaded
object-oriented CGI/FastCGI/mod_python/html-templating facilities for
the Python programming language.

%description -l pl
Te moduy Pythona daj proste, wielowtkowe, zorientowane obiektowo
narzdzia o duych moliwociach uatwiajce korzystanie z szablonw do
CGI, FastCGI, mod_pythona i HTML w jzyku Python.

%package doc
Summary:	Documentation for Jon's Python modules
Summary(pl):	Dokumentacja do moduw Pythona Jona
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This module contains documentation files for Jon's Python modules.

%description doc -l pl
Modu zawierajcy dokumentacj dla moduw Pythona Jona.

%package examples
Summary:	Examples for Jon's Python modules
Summary(pl):	Przykadowe programy do moduw Pythona Jona
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This module contains examples for Jon's Python modules.

%description examples -l pl
Modu zawierajcy przykadowe programy do moduw Pythona Jona.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version}}

python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{py_sitescriptdir}/jon{/wt,}/*.py

cp -a example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENCE README
%dir %{py_sitescriptdir}/jon
%{py_sitescriptdir}/jon/*.py[oc]
%dir %{py_sitescriptdir}/jon/wt
%{py_sitescriptdir}/jon/wt/*.py[oc]

%files doc
%defattr(644,root,root,755)
%doc doc/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-jon.spec,v $
Revision 1.19  2004/12/24 21:50:22  arekm
- rel 2

Revision 1.18  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.17  2004/06/09 09:02:48  ankry
- removed bogus changelog entries

Revision 1.16  2004/06/09 08:36:10  zboczuch
- version 0.06
- -doc and -examples subpackages separated
- cosmetics

Revision 1.15  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.14  2004/01/19 13:22:11  jajcus
- Release: 2
- new architecture-independent python modules paths

Revision 1.13  2003/11/03 00:28:43  arekm
- updated to 0.05

Revision 1.12  2003/05/28 13:01:29  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.9  2003/01/23 10:09:06  jajcus
- Obsoletes: jonpy (this may be a name of the package in other distributions)
- BuildArch: noarch

Revision 1.8  2003/01/23 09:54:43  jajcus
- no more subpackages (I don't think splitting is neccessery, as there are no
additional requirements)
- *.py removed from install tree, so rpm doesn't complain
- examplesdir included

Revision 1.7  2002/07/30 11:46:19  qboosh
- pl translation for dbpool

Revision 1.6  2002/07/30 11:21:10  jajcus
- Version: 0.04

Revision 1.5  2002/07/30 11:04:32  qboosh
- one more pl fix

Revision 1.4  2002/07/30 10:25:28  wrobell
- use module macro
- fixed pl translations
- use  --optimize=2  with setup.py instead of py_*comp macros

Revision 1.3  2002/07/29 21:07:38  qboosh
- pl translations

Revision 1.2  2002/07/29 12:28:40  jajcus
- Dependency on python modules was not a good idea.

Revision 1.1  2002/07/29 10:48:02  jajcus
- new spec
